Subject: Re: linuxppc-2.5 from mvista.com -- drivers/char/agp/agp.h:31: asm/agp.h: No such file or directory

From: Michel Dänzer <[email-masked]>
Date: 24 Mar 2003 18:56:59 +0100

On Mon, 2003-03-24 at 18:37, [email-masked] wrote:
>   gcc -Wp,-MD,drivers/char/agp/.backend.o.d -D__KERNEL__ -Iinclude -Wall
> -Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common
> -Iarch/ppc -msoft-float -pipe -ffixed-r2 -Wno-uninitialized -mmultiple
> -mstring -fomit-frame-pointer -nostdinc -iwithprefix include
> -DKBUILD_BASENAME=backend -DKBUILD_MODNAME=agpgart -c -o
> drivers/char/agp/backend.o drivers/char/agp/backend.c
> In file included from drivers/char/agp/backend.c:39:
> drivers/char/agp/agp.h:31: asm/agp.h: No such file or directory
> In file included from drivers/char/agp/backend.c:39:
> drivers/char/agp/agp.h: In function `global_cache_flush':
> drivers/char/agp/agp.h:51: warning: implicit declaration of function
> `flush_agp_cache'
> make[3]: *** [drivers/char/agp/backend.o] Error 1

I did

cp include/asm-{alpha,ppc}/asm.h

to get it to build - there's no UniNorth agpgart in linuxppc-2.5 yet
anyway, so I guess you enabled CONFIG_AGP for CONFIG_DRM_RADEON like I
did. :)

--
Earthling Michel Dänzer (MrCooper)/ Debian GNU/Linux (powerpc) developer
XFree86 and DRI project member   /  CS student, Free Software enthusiast

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/